<?php

/*
Plugin Name: Leadifly Advanced
Plugin URI: https://imincomelab.com
Description: Advanced Addon for Leadifly
Version: 1.0
Author: Michael Thomas
Author URI: https://imincomelab.com
*/

define('LEADIFLYADVANCED_TITLE', 'Leadifly Advanced');
define('LEADIFLYADVANCED_SLUG', 'leadiflyadvanced');
define('LEADIFLYADVANCED_PATH', dirname(__FILE__));
define('LEADIFLYADVANCED_DIR', basename(LEADIFLYADVANCED_PATH));
define('LEADIFLYADVANCED_FILE', plugin_basename(__FILE__));
define('LEADIFLYADVANCED_INCLUDE_DIR', LEADIFLYADVANCED_PATH . '/include');
define('LEADIFLYADVANCED_CONTROLLER_DIR', LEADIFLYADVANCED_PATH . '/controllers');
define('LEADIFLYADVANCED_MODEL_DIR', LEADIFLYADVANCED_PATH . '/models');
define('LEADIFLYADVANCED_VIEW_DIR', LEADIFLYADVANCED_PATH . '/views');

require_once LEADIFLYADVANCED_MODEL_DIR . '/LEADIFLYADVANCED_Settings.php';
require_once LEADIFLYADVANCED_CONTROLLER_DIR . '/LEADIFLYADVANCED_SettingsController.php';


class LEADIFLYADVANCED_ChromeEngageNotifier {
    private static $_instance = null;
    public static function instance() {
        if (self::$_instance == null) {
            $class = __CLASS__;
            self::$_instance = new $class();
        }
        return self::$_instance;
    }

    function __construct() {
        $this->settings = new LEADIFLYADVANCED_Settings();

        $this->settings_controller = new LEADIFLYADVANCED_SettingsController();

        add_action('admin_init', array($this, 'check_for_updates'));
    }

    function check_for_updates() {
        require_once LEADIFLYADVANCED_INCLUDE_DIR . '/Metatick/WP/Metatick_WP_Plugin_Autoupdater_1_2.php';
        new Metatick_WP_Plugin_Autoupdater_1_2(__FILE__, LEADIFLYADVANCED_SLUG);
    }

}
LEADIFLYADVANCED_ChromeEngageNotifier::instance();

